<!-- A declaration that tells the browser that the document is HTML5. -->
<!DOCTYPE HTML>
<!-- Telling the browser that the document is in English. -->
<html lang='en'>
<!-- The code for the header of the page. -->

<head>
  <title>Checkout</title>
  <link rel='stylesheet' href={{url_for('static', filename='css/cart.css' )}} />
  <link rel='stylesheet' href={{url_for('static', filename='css/topStyle.css' ) }} />
</head>

<body>
  <!-- This is the code for the logo of the website. -->
  <div id='title'>
    <div id='homeicon'>
      <a href='/' aria-label='webattack app logo'>
        <img src={{ url_for( 'static' , filename='uploads/webattack_home.png' ) }} id='logo' alt='WEBATTACK HOME' />
      </a>
    </div>

    <!-- This is the code for the search bar. -->
    <form role='searchbox' action="{{ url_for('search_results') }}" method='post'>
      <input id='searchBox' type='text' name='searchQuery' aria-label='Enter search term' />
      <input id='searchButton' type='submit' value='Search' />
    </form>

    {% if not loggedIn %}
    <a class='signInButton' href='/loginForm' aria-label='Sign In Here'>Sign In</a>
    {% else %}
    <!-- This is the code for the dropdown menu. -->
    <div class='dropdown'>
      <button class='dropbtn'>
        <h1>Hello, <br />{{firstName}}</h1>
      </button>
      <div class='dropdown-content'>
        <a href='/account/orders'>Your orders</a>
        <a href='/account/profile'>Your profile</a>
        <hr />
        <a href='/logout' aria-label='Sign Out Here'>Sign Out</a>
      </div>
    </div>
    {% endif %}
    <a class='kart' href='/cart'>
      <img src={{url_for('static', filename='images/shoppingCart.png' )}} id='cartIcon' alt='ShoppingCart' /> CART
      {{noOfItems}}
    </a>
  </div>
  <div id='total'>
    <span id='subtotal'>Proceed to pay Rs {{totalPrice}} </span> You'll be
    redirected to instamojo app.
  </div>
  <a href='/instamojo'>Pay</a>
  <!-- This is the code for the chatbot. -->
  <!-- This is a script that is used to display the chat box on the website. -->
  <script src={{ url_for('static', filename='js/utility.js' ) }}></script>
</body>

</html>